org.apache.ignite.internal.visor.node

## Class VisorCacheQueryConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorCacheQueryConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheQueryConfiguration
    extends Object
    implements Serializable

Data transfer object for cache query configuration data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheQueryConfiguration()`

### Method Summary

Methods
`boolean` `escapeAll()`
`static VisorCacheQueryConfiguration` `from(CacheQueryConfiguration qccfg)`
`boolean` `indexFixedTyping()`
`boolean` `indexPrimitiveKey()`
`boolean` `indexPrimitiveValue()`
`String` `typeResolver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheQueryConfiguration

    public VisorCacheQueryConfiguration()

### Method Detail

#### from

    public static VisorCacheQueryConfiguration from(CacheQueryConfiguration qccfg)

Parameters:
  `qccfg` - Cache query configuration.
Returns:
  Fill data transfer object with cache query configuration data.

#### typeResolver

    public String typeResolver()

Returns:
  Query type resolver class name.

#### indexPrimitiveKey

    public boolean indexPrimitiveKey()

Returns:
  `true` if primitive keys should be indexed.

#### indexPrimitiveValue

    public boolean indexPrimitiveValue()

Returns:
  `true` if primitive values should be indexed.

#### indexFixedTyping

    public boolean indexFixedTyping()

Returns:
  `true` if SQL engine should try to convert values to their respective SQL types.

#### escapeAll

    public boolean escapeAll()

Returns:
  `true` if SQL engine generate SQL statements with escaped names.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015